# TKey Union Reference

`#include <lua/lobject.h>`

Collaboration diagram for TKey:
[legend]

## Data Fields
struct {
Value value
int tt
struct Node * next
} | nk
TValue | tvk

## Detailed Description

Definition at line 323 of file lobject.h.

## Field Documentation

Value TKey::value

Definition at line 325 of file lobject.h.

int TKey::tt

Definition at line 325 of file lobject.h.

struct Node* TKey::next`[read]`

Definition at line 326 of file lobject.h.

struct { ... } TKey::nk

TValue TKey::tvk

Definition at line 328 of file lobject.h.

The documentation for this union was generated from the following file:

- lua/lobject.h